From b3a4ac24499aef1caa034e6391f29b671ec7b021 Mon Sep 17 00:00:00 2001
From: Stylianos Tsampas <ztsampas@otenet.gr>
Date: Thu, 13 May 2010 00:40:27 +0200
Subject: system/gksu: Updated for version 2.0.0

---
 system/gksu/doinst.sh       |  8 ++++----
 system/gksu/gksu.SlackBuild | 16 +++++++++++-----
 system/gksu/gksu.desktop    |  5 ++---
 system/gksu/gksu.info       |  2 ++
 system/gksu/slack-desc      |  8 ++++----
 5 files changed, 23 insertions(+), 16 deletions(-)

diff --git a/system/gksu/doinst.sh b/system/gksu/doinst.sh
index dc3c6f6d7a..e64bfee9af 100644
--- a/system/gksu/doinst.sh
+++ b/system/gksu/doinst.sh
@@ -1,8 +1,8 @@
-if [ -x /usr/bin/update-mime-database ]; then
-  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
-fi
-
 if [ -x /usr/bin/update-desktop-database ]; then
   /usr/bin/update-desktop-database &> /dev/null
 fi
 
+if [ -x /usr/bin/update-mime-database ]; then
+  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
+fi
+
diff --git a/system/gksu/gksu.SlackBuild b/system/gksu/gksu.SlackBuild
index eb5732ef2a..c081092ba2 100644
--- a/system/gksu/gksu.SlackBuild
+++ b/system/gksu/gksu.SlackBuild
@@ -34,10 +34,13 @@ OUTPUT=${OUTPUT:-/tmp}
 
 if [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "i686" ]; then
   SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
 fi
 
 set -e
@@ -59,6 +62,7 @@ CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
@@ -72,12 +76,14 @@ make
 make install DESTDIR=$PKG
 
 # Fix to gksu.desktop to open xfce-terminal
-sed s/_USER_TERM_/${TERM_APP:-terminal}/ $CWD/gksu.desktop \
+sed s/@USERTERM@/${TERM_APP:-terminal}/ $CWD/gksu.desktop \
   > $PKG/usr/share/applications/gksu.desktop
 
 ( cd $PKG
-  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null || true
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null
 )
 
 ( cd $PKG/usr/man || exit 1
@@ -88,7 +94,7 @@ sed s/_USER_TERM_/${TERM_APP:-terminal}/ $CWD/gksu.desktop \
 mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
 cp -a \
   ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README \
-  $PKG/usr/doc/$PRGNAM-$VERSION
+    $PKG/usr/doc/$PRGNAM-$VERSION
 cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
 
 mkdir -p $PKG/install
@@ -96,4 +102,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
 cat $CWD/doinst.sh > $PKG/install/doinst.sh
 
 cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gksu/gksu.desktop b/system/gksu/gksu.desktop
index b84ccfe60f..403adb24c0 100644
--- a/system/gksu/gksu.desktop
+++ b/system/gksu/gksu.desktop
@@ -26,11 +26,10 @@ Comment[nl]=Start een terminal als de root-gebruiker waarbij gksu gebruikt wordt
 Comment[pl]=Uruchamia terminal użytkownika root, używając gksu do wczytania hasła
 Comment[pt_BR]=Abre um terminal como usuário root, usando o gksu para pedir a senha
 Comment[sv]=Öppnar en terminal som root-användaren och använder gksu för att fråga efter lösenordet
-Encoding=UTF-8
-Exec=gksu /usr/bin/_USER_TERM_
+Exec=gksu /usr/bin/@USERTERM@
 Icon=gksu-root-terminal
 StartupNotify=true
-Terminal=fasle
+Terminal=false
 X-MultipleArgs=false
 Type=Application
 Categories=GTK;Utility;TerminalEmulator;
diff --git a/system/gksu/gksu.info b/system/gksu/gksu.info
index 37256e8182..4267489c76 100644
--- a/system/gksu/gksu.info
+++ b/system/gksu/gksu.info
@@ -3,6 +3,8 @@ VERSION="2.0.0"
 HOMEPAGE="http://www.nongnu.org/gksu/"
 DOWNLOAD="http://people.debian.org/~kov/gksu/gksu-2.0.0.tar.gz"
 MD5SUM="f517302cff6f09e4f2f312c4b618bd40"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
 MAINTAINER="Stylianos Tsampas"
 EMAIL="ztsampas@otenet.gr"
 APPROVED="rworkman"
diff --git a/system/gksu/slack-desc b/system/gksu/slack-desc
index 718abefd9e..b4b5d8fe76 100644
--- a/system/gksu/slack-desc
+++ b/system/gksu/slack-desc
@@ -7,13 +7,13 @@
 
       |-----handy-ruler------------------------------------------------------|
 gksu: gksu (Gtk+ frontend to su and sudo)
-gksu: 
+gksu:
 gksu: GKSu is a library that provides a Gtk+ frontend to su and sudo.
 gksu: It supports login shells and preserving environment when acting as
 gksu: a su frontend. It is useful to menu items or other graphical
 gksu: programs that need to ask a user's password to run another program
 gksu: as another user.
-gksu: 
+gksu:
 gksu: Homepage: http://www.nongnu.org/gksu/
-gksu: 
-gksu: 
+gksu:
+gksu:
-- 
cgit v1.2.3